Subject: Re: [NET] ROUTE: fix rcu_dereference() uses in /proc/net/rt_cache

From: Jarek Poplawski <[email-masked]>
Date: Fri, 11 Jan 2008 10:23:51 +0100

On Fri, Jan 11, 2008 at 10:11:40AM +0100, Jarek Poplawski wrote:
...
> So, IOW: strictly speaking you are right, r can't change here, but I
> meant r vs. the returned value! Before the patch the returned value
> couldn't be NULL unless all elements of the list were looped. After

...even more strictly:

couldn't be NULL unless all buckets of the hash table were looped. After

> this patch it seems possible...

Jarek P.